commit:     208e4ec27e4b4d76901382d5ad5809e1fca1be1e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 14 21:42:33 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Feb 14 21:54:57 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=208e4ec2

xfce-extra/thunar-media-tags-plugin: Bump to 0.3.0 (GTK+3 port)

 profiles/package.mask                              |  1 +
 xfce-extra/thunar-media-tags-plugin/Manifest       |  1 +
 .../thunar-media-tags-plugin-0.3.0.ebuild          | 26 ++++++++++++++++++++++
 3 files changed, 28 insertions(+)

diff --git a/profiles/package.mask b/profiles/package.mask
index 83c7cdf8d87..d3936ef3c18 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -501,6 +501,7 @@ games-kids/crayon-physics
 >=dev-python/thunarx-python-0.4.0
 >=xfce-base/thunar-1.7
 >=xfce-extra/thunar-archive-plugin-0.4.0
+>=xfce-extra/thunar-media-tags-plugin-0.3.0
 
 # Andreas Sturmlechner <ast...@gentoo.org> (16 Nov 2017)
 # Qt4WebKit is ancient and full of security holes.

diff --git a/xfce-extra/thunar-media-tags-plugin/Manifest 
b/xfce-extra/thunar-media-tags-plugin/Manifest
index b7375c9fc7f..2b1c2fa3e6c 100644
--- a/xfce-extra/thunar-media-tags-plugin/Manifest
+++ b/xfce-extra/thunar-media-tags-plugin/Manifest
@@ -1 +1,2 @@
 DIST thunar-media-tags-plugin-0.2.1.tar.bz2 324833 BLAKE2B 
1f985fadaa58ebcf516c6f57f429d3a0c96161572a9829b7240e1f5550ad2cc5ebb121cb985f1680440ab4fc8be68be8f5ee3c5557d8f95aa0c23b3572514ec1
 SHA512 
008ba9cf5405fba2582d072c48c915ad0afe2eb6bd193a710caf5f99247285362747265fa93fe28d9cedd75285a8f9593baf675310b5dbada948aefe359e951d
+DIST thunar-media-tags-plugin-0.3.0.tar.bz2 378993 BLAKE2B 
9ddb44862808eab8e836cd85ef9afd6b04a96d1b1b98a80bddba85c1544e91a563b3d40ede04035de50b032c01623d574d818cf19ba60483432a78a61e772c21
 SHA512 
f7c13acb1d9936676e22fdb2d6c1def5ad651ab104110559817fc51dfad845823de4ba724054a7e99a4af980e62e05db750097c32018effa29cb5f56676d9eaa

diff --git 
a/xfce-extra/thunar-media-tags-plugin/thunar-media-tags-plugin-0.3.0.ebuild 
b/xfce-extra/thunar-media-tags-plugin/thunar-media-tags-plugin-0.3.0.ebuild
new file mode 100644
index 00000000000..d8c77e9ad0b
--- /dev/null
+++ b/xfce-extra/thunar-media-tags-plugin/thunar-media-tags-plugin-0.3.0.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="Adds special features for media files to the Thunar File Manager"
+HOMEPAGE="https://goodies.xfce.org/projects/thunar-plugins/thunar-media-tags-plugin";
+SRC_URI="mirror://xfce/src/thunar-plugins/${PN}/${PV%.*}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~x86-fbsd"
+IUSE=""
+
+RDEPEND=">=media-libs/taglib-1.6
+       >=x11-libs/gtk+-3.22:3
+       >=xfce-base/exo-0.11:=
+       >=xfce-base/thunar-1.7:="
+DEPEND="${RDEPEND}
+       dev-util/intltool
+       virtual/pkgconfig"
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to